# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-File-Find-Rule-Perl
Version:	1.16
Release:	5.%{__distinit}%{__distvers}
Summary:	Common rules for searching for Perl things
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/File-Find-Rule-Perl
Source0:	https://cpan.metacpan.org/modules/by-module/File/File-Find-Rule-Perl-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(File::Find::Rule) >= 0.20
BuildRequires:	perl(File::Spec) >= 0.82
BuildRequires:	perl(File::Spec::Unix)
BuildRequires:	perl(Params::Util) >= 0.38
BuildRequires:	perl(Parse::CPAN::Meta) >= 1.38
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# noarch, but to avoid debug*.list interfering with no_index test:
%global debug_package %{nil}

%description
Common rules for searching for Perl things.

%prep
%setup -q -n File-Find-Rule-Perl-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Find::Rule::Perl.3*

%changelog
* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 1.16-5
- use SPDX-format license tag

* Wed Mar 30 2022 Paul Howarth <paul@city-fan.org> - 1.16-1
- Update to 1.16
  - Fix test when run after 'make clean' (CPAN RT#142008)

* Wed Jun  5 2019 Paul Howarth <paul@city-fan.org> - 1.15-14
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop legacy BuildRoot: and Group: tags

* Wed Aug 24 2016 Paul Howarth <paul@city-fan.org> - 1.15-6
- BR: perl-generators where available
- Simplify find command using -delete

* Mon Jun 22 2015 Paul Howarth <paul@city-fan.org> - 1.15-3
- Perl 5.22 rebuild

* Mon Apr  6 2015 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15
  - Fix tests for ExtUtils::MakeMaker 7.05_*
  - Use warnings in module and tests
  - Switch off of Module::Install again
- This release by ETHER → update source URL
- Classify buildreqs by usage
- Upstream dropped LICENSE file

* Tue Sep  2 2014 Paul Howarth <paul@city-fan.org> - 1.13-7
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Wed Oct 31 2012 Paul Howarth <paul@city-fan.org> - 1.13-1
- Update to 1.13
  - Module::Install update
- BR: perl(ExtUtils::MakeMaker)

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 1.12-5
- Perl 5.16 post-bootstrap rebuild

* Tue Jul  3 2012 Paul Howarth <paul@city-fan.org> - 1.12-4
- BR: perl(Cwd), perl(File::Path), perl(File::Spec::Functions) and perl(lib)
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Fri Mar  2 2012 Paul Howarth <paul@city-fan.org> - 1.12-3
- Drop workaround for old Params::Util versions and
  BR: perl(Params::Util) ≥ 0.38
- BR: perl(Parse::CPAN::Meta) ≥ 1.38
- Don't need to remove empty directories from buildroot
- Add buildreqs for Perl core modules that might be dual-lived

* Tue Jan 24 2012 Paul Howarth <paul@city-fan.org> - 1.12-2
- Run the developer tests too
- Don't BR: perl(Test::MinimumVersion) if we're bootstrapping as it requires
  this module itself

* Mon Oct 31 2011 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - Updating to Module::Install::DSL 1.04
  - Skip MYMETA.json too
  - Do not import from Params::Util
  - Ignore debian directory in tests
  - Ignore all dot dirs in tests
- Update patch for old Params::Util versions
- BR: perl(Carp)

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 1.10-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Oct  6 2010 Paul Howarth <paul@city-fan.org> - 1.10-1
- Update to 1.10
  - Upgrading to Module::Install::DSL 1.00
  - Removing nasty evil use UNIVERSAL;
  - Fix 03_noindex.t to ignore MYMETA.yml
- Update Params::Util version patch

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.09-4
- Rebuild for perl 5.12.1 in Rawhide

* Mon Jun  7 2010 Paul Howarth <paul@city-fan.org> - 1.09-3
- Fix dist tag for RHEL-6 Beta

* Wed Feb 17 2010 Paul Howarth <paul@city-fan.org> - 1.09-2
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation
- Bitbucket error messages produced if we parse the spec without Params::Util

* Thu Jul 30 2009 Paul Howarth <paul@city-fan.org> - 1.09-1
- Update to 1.09 (fix for Windows)
- Add patch to downgrade Params::Util requirement if we can't satisfy it

* Fri Jul 17 2009 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08 (added the debian/ directory to skipped paths list - RT#47921)

* Thu Jul 16 2009 Paul Howarth <paul@city-fan.org> - 1.07-1
- Update to 1.07 (fix no_index regression with absolute paths)

* Tue Apr 14 2009 Paul Howarth <paul@city-fan.org> - 1.06-1
- Update to 1.06 (additional tests and target options)
- Update to SLES-compatible dist tag macros

* Thu Feb 19 2009 Paul Howarth <paul@city-fan.org> - 1.05-1
- Update to 1.05 (add support for no_index exclusions)
- Re-enable buildreqs perl(Test::MinimumVersion) and perl(Test::CPAN::Meta)

* Mon Sep  1 2008 Paul Howarth <paul@city-fan.org> - 1.04-3
- Import from Fedora
- Disable buildreqs perl(Test::MinimumVersion) and perl(Test::CPAN::Meta)
  for now

* Tue Jun 24 2008 Ralf Corsépius <rc040203@freenet.de> - 1.04-2
- Unconditionally BR: perl(Test::CPAN::Meta).

* Tue Jun 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.04-1
- Upstream update.

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-3
- Rebuild for perl 5.10 (again)

* Fri Jan 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.03-2
- rebuild for new perl

* Mon Nov 19 2007 Ralf Corsépius <rc040203@freenet.de> - 0.03-1
- Initial version.
